Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
sensors::NumericSensor::Reading::Status Struct Reference

Numeric sensor status. More...

## Public Attributes
boolean | aboveUpperCritical
| Reading is above upper critical threshold.
boolean | aboveUpperWarning
| Reading is above upper warning threshold.
boolean | belowLowerWarning
| Reading is below lower warning threshold.
boolean | belowLowerCritical
| Reading is below lower critical threshold.

## Detailed Description

Numeric sensor status.

The status is determined on the basis of rounded values. The rounding is done according to MetaData::decdigits. This ensures that status and value will match when displayed simultaneously, if the value is also displayed rounded.

The documentation for this struct was generated from the following file:

- NumericSensor.idl